<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Uses of Class org.apache.poi.hslf.record.RecordContainer (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class org.apache.poi.hslf.record.RecordContainer (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/hslf/record/RecordContainer.html"
               title="class in org.apache.poi.hslf.record">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hslf/record/class-use/RecordContainer.html"
               target="_top">Frames</a></li>
        <li><a href="RecordContainer.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h2 title="Uses of Class org.apache.poi.hslf.record.RecordContainer" class="title">Uses of Class<br>org.apache.poi.hslf.record.RecordContainer
    </h2>
</div>
<div class="classUseContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing packages, and an explanation">
                <caption><span>Packages that use <a
                        href="../../../../../../org/apache/poi/hslf/record/RecordContainer.html"
                        title="class in org.apache.poi.hslf.record">RecordContainer</a></span><span class="tabEnd">&nbsp;</span>
                </caption>
                <tr>
                    <th class="colFirst" scope="col">Package</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hslf.record">org.apache.poi.hslf.record</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <ul class="blockList">
                <li class="blockList"><a name="org.apache.poi.hslf.record">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/hslf/record/RecordContainer.html"
                                   title="class in org.apache.poi.hslf.record">RecordContainer</a> in <a
                            href="../../../../../../org/apache/poi/hslf/record/package-summary.html">org.apache.poi.hslf.record</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing subclasses, and an explanation">
                        <caption><span>Subclasses of <a
                                href="../../../../../../org/apache/poi/hslf/record/RecordContainer.html"
                                title="class in org.apache.poi.hslf.record">RecordContainer</a> in <a
                                href="../../../../../../org/apache/poi/hslf/record/package-summary.html">org.apache.poi.hslf.record</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Class and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/record/AnimationInfo.html"
                                    title="class in org.apache.poi.hslf.record">AnimationInfo</a></span></code>
                                <div class="block">A container record that specifies information about animation
                                    information for a shape.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/record/BinaryTagDataBlob.html"
                                    title="class in org.apache.poi.hslf.record">BinaryTagDataBlob</a></span></code>
                                <div class="block">If we come across a record we know has children of (potential)
                                    interest, but where the record itself is boring, but where other
                                    records may care about where this one lives, we create one
                                    of these.
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/record/Comment2000.html"
                                    title="class in org.apache.poi.hslf.record">Comment2000</a></span></code>
                                <div class="block">This class represents a comment on a slide, in the format used by
                                    PPT 2000/XP/etc.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/record/DocInfoListContainer.html"
                                    title="class in org.apache.poi.hslf.record">DocInfoListContainer</a></span></code>
                                <div class="block">A container record that specifies information about the document and
                                    document display settings.
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/record/Document.html"
                                    title="class in org.apache.poi.hslf.record">Document</a></span></code>
                                <div class="block">Master container for Document.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/record/DummyPositionSensitiveRecordWithChildren.html"
                                    title="class in org.apache.poi.hslf.record">DummyPositionSensitiveRecordWithChildren</a></span></code>
                                <div class="block">If we come across a record we know has children of (potential)
                                    interest, but where the record itself is boring, but where other
                                    records may care about where this one lives, we create one
                                    of these.
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/record/DummyRecordWithChildren.html"
                                    title="class in org.apache.poi.hslf.record">DummyRecordWithChildren</a></span></code>
                                <div class="block">If we come across a record we know has children of (potential)
                                    interest, but where the record itself is boring, we create one
                                    of these.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/record/Environment.html"
                                    title="class in org.apache.poi.hslf.record">Environment</a></span></code>
                                <div class="block">Environment, which contains lots of settings for the document.</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/record/EscherTextboxWrapper.html"
                                    title="class in org.apache.poi.hslf.record">EscherTextboxWrapper</a></span></code>
                                <div class="block">A wrapper around a DDF (Escher) EscherTextbox Record.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/record/ExAviMovie.html"
                                    title="class in org.apache.poi.hslf.record">ExAviMovie</a></span></code>
                                <div class="block">A container record that specifies information about a movie stored
                                    externally.
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/record/ExControl.html"
                                    title="class in org.apache.poi.hslf.record">ExControl</a></span></code>
                                <div class="block">A container record that specifies information about an ActiveX
                                    control.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/record/ExEmbed.html"
                                    title="class in org.apache.poi.hslf.record">ExEmbed</a></span></code>
                                <div class="block">This data represents an embedded object in the document.</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/record/ExHyperlink.html"
                                    title="class in org.apache.poi.hslf.record">ExHyperlink</a></span></code>
                                <div class="block">This class represents the data of a link in the document.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/record/ExMCIMovie.html"
                                    title="class in org.apache.poi.hslf.record">ExMCIMovie</a></span></code>
                                <div class="block">A container record that specifies information about a movie stored
                                    externally.
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/record/ExObjList.html"
                                    title="class in org.apache.poi.hslf.record">ExObjList</a></span></code>
                                <div class="block">This class holds the links to exernal objects referenced
                                    from the document.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/record/ExVideoContainer.html"
                                    title="class in org.apache.poi.hslf.record">ExVideoContainer</a></span></code>
                                <div class="block">A container record that specifies information about external video
                                    data.
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/record/FontCollection.html"
                                    title="class in org.apache.poi.hslf.record">FontCollection</a></span></code>
                                <div class="block"><code>FontCollection</code> ia a container that holds information
                                    about all the fonts in the presentation.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/record/HeadersFootersContainer.html"
                                    title="class in org.apache.poi.hslf.record">HeadersFootersContainer</a></span></code>
                                <div class="block">A container record that specifies information about the footers on a
                                    presentation slide.
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/record/InteractiveInfo.html"
                                    title="class in org.apache.poi.hslf.record">InteractiveInfo</a></span></code>
                                <div class="block">This class represents the metadata of a link in a slide/notes/etc.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/record/MainMaster.html"
                                    title="class in org.apache.poi.hslf.record">MainMaster</a></span></code>
                                <div class="block">Master slide</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/record/Notes.html"
                                    title="class in org.apache.poi.hslf.record">Notes</a></span></code>
                                <div class="block">Master container for Notes.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/record/PositionDependentRecordContainer.html"
                                    title="class in org.apache.poi.hslf.record">PositionDependentRecordContainer</a></span></code>
                                <div class="block">A special (and dangerous) kind of Record Container, for which other
                                    Atoms care about where this one lives on disk.
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/record/SheetContainer.html"
                                    title="class in org.apache.poi.hslf.record">SheetContainer</a></span></code>
                                <div class="block">The superclass of all sheet container records - Slide, Notes,
                                    MainMaster, etc.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/record/Slide.html"
                                    title="class in org.apache.poi.hslf.record">Slide</a></span></code>
                                <div class="block">Master container for Slides.</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/record/SlideListWithText.html"
                                    title="class in org.apache.poi.hslf.record">SlideListWithText</a></span></code>
                                <div class="block">These are tricky beasts.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/record/Sound.html"
                                    title="class in org.apache.poi.hslf.record">Sound</a></span></code>
                                <div class="block">A container holding information about a sound.</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/record/SoundCollection.html"
                                    title="class in org.apache.poi.hslf.record">SoundCollection</a></span></code>
                                <div class="block">Is a container for all sound related atoms and containers.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/record/VBAInfoContainer.html"
                                    title="class in org.apache.poi.hslf.record">VBAInfoContainer</a></span></code>
                                <div class="block">A container record that specifies VBA information for the document.
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hslf/record/package-summary.html">org.apache.poi.hslf.record</a> that return <a
                                href="../../../../../../org/apache/poi/hslf/record/RecordContainer.html"
                                title="class in org.apache.poi.hslf.record">RecordContainer</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hslf/record/RecordContainer.html"
                                    title="class in org.apache.poi.hslf.record">RecordContainer</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">ParentAwareRecord.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/record/ParentAwareRecord.html#getParentRecord--">getParentRecord</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hslf/record/RecordContainer.html"
                                    title="class in org.apache.poi.hslf.record">RecordContainer</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">TextHeaderAtom.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/record/TextHeaderAtom.html#getParentRecord--">getParentRecord</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hslf/record/package-summary.html">org.apache.poi.hslf.record</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/hslf/record/RecordContainer.html"
                                title="class in org.apache.poi.hslf.record">RecordContainer</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>static void</code></td>
                            <td class="colLast"><span class="typeNameLabel">RecordContainer.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/record/RecordContainer.html#handleParentAwareRecords-org.apache.poi.hslf.record.RecordContainer-">handleParentAwareRecords</a></span>(<a
                                    href="../../../../../../org/apache/poi/hslf/record/RecordContainer.html"
                                    title="class in org.apache.poi.hslf.record">RecordContainer</a>&nbsp;br)</code>
                                <div class="block">Find the records that are parent-aware, and tell them who their
                                    parent is
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">ParentAwareRecord.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/record/ParentAwareRecord.html#setParentRecord-org.apache.poi.hslf.record.RecordContainer-">setParentRecord</a></span>(<a
                                    href="../../../../../../org/apache/poi/hslf/record/RecordContainer.html"
                                    title="class in org.apache.poi.hslf.record">RecordContainer</a>&nbsp;parentRecord)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">TextHeaderAtom.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/record/TextHeaderAtom.html#setParentRecord-org.apache.poi.hslf.record.RecordContainer-">setParentRecord</a></span>(<a
                                    href="../../../../../../org/apache/poi/hslf/record/RecordContainer.html"
                                    title="class in org.apache.poi.hslf.record">RecordContainer</a>&nbsp;record)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
            </ul>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/hslf/record/RecordContainer.html"
               title="class in org.apache.poi.hslf.record">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hslf/record/class-use/RecordContainer.html"
               target="_top">Frames</a></li>
        <li><a href="RecordContainer.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
